//////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2016 Leszek Koltunski                                                          //
//                                                                                          //
// This file is part of DistortedLibrary.                                                          //
//                                                                                          //
// DistortedLibrary is free software: you can redistribute it and/or modify                        //
// it under the terms of the GNU General Public License as published by                     //
// the Free Software Foundation, either version 2 of the License, or                        //
// (at your option) any later version.                                                      //
//                                                                                          //
// DistortedLibrary is distributed in the hope that it will be useful,                             //
// but WITHOUT ANY WARRANTY; without even the implied warranty of                           //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                            //
// GNU General Public License for more details.                                             //
//                                                                                          //
// You should have received a copy of the GNU General Public License                        //
// along with DistortedLibrary.  If not, see <http://www.gnu.org/licenses/>.                       //
//////////////////////////////////////////////////////////////////////////////////////////////

precision highp float;

in vec2 v_TexCoordinate;                // Interpolated texture coordinate per fragment.
out vec4 fragColor;
uniform vec4 u_Color;
uniform sampler2D u_Texture;            // The input texture.

//////////////////////////////////////////////////////////////////////////////////////////////

void main()
  {
  vec4 color = texture(u_Texture,v_TexCoordinate);
  fragColor  = vec4(u_Color.rgb, sign(color.a)*u_Color.a);
  }